# Function similarity

- similarity(descriptor1: Descriptor, descriptor2: Descriptor, options?: MatchOptions): number

- Calculates normalized similarity between two face descriptors based on their `distance`

  #### Parameters

  - ##### descriptor1: Descriptor

  - ##### descriptor2: Descriptor

  - ##### options: MatchOptions = ...

    calculation options

    - order - algorithm to use Euclidean distance if `order` is 2 (default), Minkowski distance algorithm of nth order if `order` is higher than 2
    - multiplier - by how much to enhance difference analysis in range of 1..100 default is 20 which normalizes results to similarity above 0.5 can be considered a match
    - min - normalize similarity result to a given range
    - max - normalzie similarity resutl to a given range default is 0.2...0.8 Returns similarity between two face descriptors normalized to 0..1 range where 0 is no similarity and 1 is perfect similarity

  #### Returns number

  - Defined in src/face/match.ts:43